Summary: Benchmarking authorative and recursing DNS servers
Name: dnsperf
Version: 2.1.0.0
Release: 1%{?dist}
License: MIT
Url: http://www.nominum.com/support/measurement-tools/
Source: ftp://ftp.nominum.com/pub/nominum/dnsperf/%{version}/dnsperf-src-%{version}-1.tar.gz
Source2: bind9-hmacsha.h
Source3: queryfile-example-current.gz
Group: Applications/Internet
BuildRequires: bind-devel >= 9.3.0, libcap-devel, gzip, openssl-devel
BuildRequires: krb5-devel, libxml2-devel, GeoIP-devel
Requires: gnuplot pcapy python-dns

%description
This is dnsperf, a collection of DNS server performance testing tools.
For more information, see the dnsperf(1) and resperf(1) man pages.

%prep
%setup -q -n dnsperf-src-%{version}-1
cp %{SOURCE2} hmacsha.h
%configure 
sed -i "s/<isc\/hmacsha.h>/\"hmacsha.h\"/" dns.c

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS -I/usr/include/bind9 -I." %{?_smp_mflags}

%install
rm -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
install contrib/queryparse/queryparse %{buildroot}/%{_bindir}
install -D -m 644 %{SOURCE3} %{buildroot}%{_datadir}/%{name}/queryfile-example-current
install -D -m 644 contrib/queryparse/queryparse.1 %{buildroot}/%{_mandir}/man1/queryparse.1
gzip %{buildroot}/%{_mandir}/man1/queryparse.1

mkdir -p %{buildroot}%{_datadir}/%{name}
gunzip -c %{SOURCE3} > %{buildroot}%{_datadir}/%{name}/queryfile-example-current
chmod 644 %{buildroot}%{_datadir}/%{name}/queryfile-example-current

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root,-)
%doc README RELEASE_NOTES
%{_bindir}/*
%{_mandir}/*/*
%dir %{_datadir}/dnsperf
%{_datadir}/dnsperf/queryfile-example-current

%changelog
* Wed Apr 20 2016 Paul Wouters <pwouters@redhat.com> - 2.1.0.0-1
- Updated to 2.1.0.0 (rhbz#1305929)
- Remove incorporated patches
- Updated example query file with upstream
- Fixup bad changelog dates
- Use gunzip not bunzip2 as upstream query file is only gzipped

* Tue May 24 2011 Paul Wouters <paul@xelerance.com> - 1.0.1.0-15
- Rebuilt for newer bind

* Thu Mar 18 2010 Paul Wouters <paul@xelerance.com> - 1.0.1.0-14
- Rebuilt for new bind

* Mon Nov 30 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-13
- Rebuilt against updated bind

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.0.1.0-12
- Rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-10
- rebuild again

* Wed Jun 17 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-9
- rebuild against new bind-libs

* Mon Mar 30 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-8
- rebuild against new bind-libs

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> - 1.0.1.0-6
- rebuild with new openssl
- seems to require libxml2-devel to build now

* Mon Nov 10 2008 Adam Tkac <atkac redhat com> - 1.0.1.0-5
- rebuild against new bind-libs

* Fri Oct 31 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-4
- Changed license from BSD to MIT

* Wed Oct 22 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-3
- Fixed missing buildrequires
- Pass proper CFLAGS to gcc
- Fix Group

* Tue Oct 21 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-2
- Fixed libpcap vs libcap confusion

* Mon Oct 20 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-1
- Initial Fedora package
